import 'package:flutter/material.dart';
import 'package:custom_route_transition_luospina/custom_route_transition_luospina.dart';

void main() => runApp(const MyApp());

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        debugShowCheckedModeBanner: false,
        title: 'Material App',
        initialRoute: 'page1',
        routes: {'page1': (_) => const Page1(), 'page2': (_) => const Page2()});
  }
}

class Page1 extends StatelessWidget {
  const Page1({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Page 1'),
        centerTitle: true,
        backgroundColor: Colors.transparent,
      ),
      backgroundColor: Colors.blue,
      body: Center(
        child: MaterialButton(
            child: const Text('Go to page 2'),
            color: Colors.white,
            onPressed: () {
              RouteTransitions(
                  context: context,
                  child: const Page2(),
                  animation: AnimationType.fadeIn,
                  duration: Duration(milliseconds: 100),
                  replacement: true);
            }),
      ),
    );
  }
}

class Page2 extends StatelessWidget {
  const Page2({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Page 2'),
        centerTitle: true,
        backgroundColor: Colors.transparent,
      ),
      backgroundColor: Colors.blueGrey,
      body: const Center(
        child: Text('Page 2'),
      ),
    );
  }
}
